%global debug_package %{nil}
%global gitdate 20150420
%global gitversion c4fb40201

Name:		virglrenderer
Version:	0.1
Release:	0.%{gitdate}git%{gitversion}%{?dist}

Summary:	Virgl Rendering library.
Group:		Applications/Emulators
License:	MIT

#VCS: git:git://people.freedesktop.org/~airlied/virglrenderer
# git snapshot.  to recreate, run:
# ./make-git-snapshot.sh `cat commitid`
Source0:	virglrenderer-%{gitdate}.tar.xz

BuildRequires:	autoconf
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-x11-util-macros
BuildRequires:	libepoxy-devel
BuildRequires:	mesa-libgbm-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	python
BuildRequires:	libdrm-devel

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package devel
Summary: Virgil3D renderer development files
Group:	Applications/Emulators

Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Virgil3D renderer development files, used by
qemu to build against.

%package test-server
Summary: Virgil3D renderer testing server
Group:	Applications/Emulators

Requires: %{name}%{?_isa} = %{version}-%{release}

%description test-server
Virgil3D renderer testing server is a server
that can be used along with the mesa virgl
driver to test virgl rendering without GL.

%prep
%setup -q -n %{name}-%{gitdate}

%build
sh autogen.sh
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" install
find %{buildroot} -type f -name '*.la' | xargs rm -f -- || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/lib*.so.*

%files devel
%dir %{_includedir}/virgl/
%{_includedir}/virgl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files test-server
%{_bindir}/virgl_test_server

%changelog
* Wed Apr 01 2015 Dave Airlie <airlied@redhat.com> 0.1-0.20150401gita9ba2c442
- initial virglrenderer spec


